Index: trunk/ICRC_01/mccontrib.tex
===================================================================
--- trunk/ICRC_01/mccontrib.tex	(revision 814)
+++ trunk/ICRC_01/mccontrib.tex	(revision 815)
@@ -44,6 +44,6 @@
 will be finished. The aim of this
 detector is the observation of $\gamma$-ray sources in the 
-enery region above $\approx 10~\mathrm{TeV}$. 
-The size of the telesope mirros will be around $250~\mathrm{m^2}$.
+energy region above $\approx 10~\mathrm{GeV}$. 
+The size of the telesope mirrors will be around $250~\mathrm{m^2}$.
 The air showers induced by cosmic ray particles (hadrons and gammas) 
 will be detected with a "classical" camera consisting of 577
@@ -51,21 +51,27 @@
 be recorded by a FADC system running with a frequency of 
 $f = 333~\mathrm{MHz}$. 
-The readout of the FADCs by a dedicated trigger system containing
+The readout of the FADCs will be started 
+by a dedicated trigger system containing
 different trigger levels. 
 
 The goal of the trigger system is to reject the hadronic cosmic ray
-background from the gamma rays, for which a lower threshold is aimed. 
+background from the gamma rays, for which the lowest threshold 
+is aimed. 
 For a better understanding of the MAGIC telescope and its different 
 systems (trigger, FADC) a detailed Monte Carlo (MC) study is 
-unavoidable. Such an study has to take into account the simulation
+neccessary. Such an study has to take into account the simulation
 of air showers, the effect of absorption in the atmosphere, the 
 behaviour of the PMTs and the response of the trigger and FADC
-system. 
+system.
+ 
 For a big telescope like MAGIC there is an additional source of 
 noise, which is the light of the night sky. As a rude assumption
 there will be around 50 stars with magnitude $m \le 9$ in the 
-field of view of the camera. So one other game of this
-study is to invent methods to become rid of the light from 
-stars. 
+field of view of the camera. 
+Investigations are neccessary to invent methods which allows to 
+reduce the effect of the light from stars. The methods can be
+tested before the MAGIC telescope exists by using monte carlo
+data. 
+
 
 Here we present the first results of such an investigation. 
@@ -81,5 +87,5 @@
 Then the behaviour of the PMTs is simulated and the
 response of the trigger and FADC system is generated. 
-In the followin subsections you find a more precise 
+In the following subsections you find a more precise 
 description of all the programs. 
 
@@ -95,7 +101,8 @@
 Gammas where simulated like a point source
 whereas the hadrons are simulated isotropic around
-the given zenith angle. We found that hadronic showers
-have also for big impact parameters $I$ a non-zero 
-probability to trigger the telescope. Therefore we 
+the given zenith angle. 
+The trigger probality for hadronic showers with 
+a big impact parameter $I$ is not negliable. 
+Therefore we 
 simulate hadrons with $I < 400~\mathrm{m}$ and gammas
 with $I < 200~\mathrm{m}$. 
@@ -130,22 +137,21 @@
 close to the telescope position are stored.
 
-\subsection{mirror simulation}
+\subsection{atmospheric and mirror simulation}
 
 The output of the air shower simualition is used 
-as the input to the mirror simulation. But before 
-simulating the mirror themself, one has to take the
-absorption in the atmosphere into account. For each 
-Cherenkov photon the height of production and
-the wavelength is known. Taking the Rayleigh and 
-Mie scattering into account one is able to calculate
-the effect of absorption in the atmosphere. 
-The next step in the simulation is the reflection of 
-the Cherenkov photons on the mirrors. Therefore one
-has to define in that step the pointing of the 
-telescope. Each photon hitting one of the mirrors will
-be tracked to the camera plane. Here we take an 
-reflectivity of around 90\% into account. 
+as the input to the mirror simulation. 
+First the absorption in the atmosphere is taken into
+account. 
+By knowing the height of production and the 
+wavelength of each Cherenkov photen it is possible
+to calculate the effect of Rayleigh and Mie scattering. 
+The second step is the simulation of the mirror dish. 
+We assume a reflectivity of the mirrors of around 90\%. 
+Each Cherenkov photon hitting one mirror is tracked back
+to the camera plane of the telescope. This procedure 
+depends on the orientation of the telescope to the 
+shower axis. 
 All Cherenkov photons reaching the camera plane will be
-stored.  
+keeped for the next simulation program.  
 
 \subsection{camera simulation}
@@ -177,20 +183,23 @@
 a given width. 
 The amplitude of the response function is randomized 
-by using the function of figure \ref{fig_ampl}. 
-By superimpose all photons of one pixel an by taking
-the arrival time into account we get the response 
-of the trigger and FADC system for that pixel (see
-also figure \ref{fig_starresp}). 
+by using the distribution of figure \ref{fig_ampl}. 
+By superimposing all photons of one pixel and by taking
+the arrival time into account the response 
+of the trigger and FADC system for that pixel is generated
+(see also figure \ref{fig_starresp}). 
 This is done for all pixels in the camera. 
 
 Then the simulation of the trigger electronic is applied. 
 We look in the generated analog signal if the discriminator
-threshold is achieved. If yes we will create a digital output
-signal for that pixels. Then we decided if a first level trigger
-occurs by looking for next neighbour (NN)conditions at a given
-time. If a given NN condition (Multiplicity, Topology, ...) 
-is fullfilled, a first level trigger is generated and the 
-content of the FADC system is written to disk. An triggered
-event is generated. 
+threshold is achieved. In that case a digital output
+signal of a given length (We use in that study a gate length of 6
+nsec.)
+for that pixels. 
+By checking next neighbour conditions (NN) at a given time
+the first level trigger is simulated. 
+If a given NN condition (Multiplicity, Topology, ...) 
+is fullfilled, a first level trigger signal is generated and 
+the 
+content of the FADC system is written to disk. 
 %
 %
@@ -212,5 +221,5 @@
 the position of an expected gamma ray source is contributing to 
 the noise in the camera. We developed a program that allows us
-to simulate the star light together with the generated shower. 
+to simulate the star light together with the generated showers. 
 This program takes all stars in the field of view of the camera
 around chosen sky region. The light of these stars is track up to 
@@ -219,5 +228,22 @@
 get the number of emitted photo electrons per pixel and 
 time.
+
 These number is used to generate a noise signal for all the pixels. 
+%
+%
+%
+\begin{figure}[h]
+ \vspace*{2.0mm} % just in case for shifting the figure slightly down
+ \includegraphics[width=8.3cm]{signal.eps} % .eps for Latex,
+                                            % pdfLatex allows .pdf, .jpg, .png and .tif
+ \caption{The response of a pixel due to a star with magnitude
+ $m=7$ in the field of view. On the left plot the response of the
+ trigger system is plotted while on the right plot the content in the
+ FADC system is shown.}
+ \label{fig_starresp}
+\end{figure}
+%
+%
+%
 In figure \ref{fig_starresp} the response of the trigger and the 
 FADC system can be seen for one pixel with a star of 
@@ -225,20 +251,5 @@
 These stars are typical, because there will 
 be always one $7^m$ star in the trigger area of the camera.
-%
-%
-%
-\begin{figure}[h]
- \vspace*{2.0mm} % just in case for shifting the figure slightly down
- \includegraphics[width=8.3cm]{signal.eps} % .eps for Latex,
-                                            % pdfLatex allows .pdf, .jpg, .png and .tif
- \caption{The response of a pixel due to a star with magnitude
- $m=7$ in the field of view. On the left plot the response of the
- trigger system is plotted while on the right plot the content in the
- FADC system is shown.}
- \label{fig_starresp}
-\end{figure}
-%
-%
-%
+
 
 \section{Results}
@@ -277,5 +288,5 @@
 where T is the trigger probablity. F is perpendicular to 
 the shower axis. The results for different zenith angle $\Theta$ and
-for different trigger settings are shown in figure
+for different discriminator thresholds are shown in figure
 \ref{fig_collarea}.
 %
@@ -294,5 +305,6 @@
 %
 As bigger the zenith angle the smaller becomes the collection area 
-for lower energies. 
+for lower energies. As bigger the discriminator threshold is set, as
+lower is the trigger collection area for low energies. 
  
 