Index: trunk/ICRC_01/mccontrib.tex
===================================================================
--- trunk/ICRC_01/mccontrib.tex	(revision 823)
+++ trunk/ICRC_01/mccontrib.tex	(revision 824)
@@ -17,5 +17,11 @@
 \author[3]{H. Kornmayer}
 \affil[3]{Max-Planck-Institut f\"ur Physik, M\"unchen, Germany}
-\correspondence{H. Kornmayer (h.kornmayer@web.de)}
+\author[]{the MAGIC collaboration}
+
+\correspondence{O.Blanch blanch@ifae.es), H. Kornmayer (h.kornmayer@web.de)}
+\affil[ ]{ }
+\affil[ ]{\large (for the MAGIC Collaboration)}
+
+
 
 \firstpage{1}
@@ -55,8 +61,8 @@
 different trigger levels. 
 
-The primary goal of the trigger system is the selction of showers, 
+The primary goal of the trigger system is the selction of showers. 
 For a better understanding of the MAGIC telescope and its different 
 systems (trigger, FADC) a detailed Monte Carlo (MC) study is 
-neccessary. Such an study has to take into account the simulation
+neccessary. Such a study has to take into account the simulation
 of the air showers, the effect of absorption in the atmosphere, the 
 behaviour of the PMTs and the response of the trigger and FADC
@@ -89,17 +95,21 @@
 \subsection{Air shower simulation}
 
-The simulation of gammas and of hadrons is done with
+The simulation of gamma and of hadron showers in the 
+atmosphere is done with
 the CORSIKA program, version 5.20. 
-For the simulation of had\-ro\-nic 
-showers we use the VENUS model. We simulate showers 
+As the had\-ro\-nic interaction model  
+we use the VENUS model. 
+We simulate showers 
 for different zenith angles 
-($\Theta = 0^\circ, 5^\circ, 10^\circ, 15^\circ, 
-20^\circ, 25^\circ $) at fixed azimuth angel $\Phi$. 
+($\Theta = 0^\circ, 5^\circ$, $ 10^\circ, 15^\circ, 
+20^\circ, 25^\circ $) at fixed azimuthal angle $\Phi$. 
 Gammas are assumed to originate from point sources 
-in the direction ($\Theta,\Phi$)
+in the direction ($\Theta$,$\Phi$)
 whereas the hadrons are simulated isotropically
-around the given ($\Theta,\Phi$) direction. 
+around the given ($\Theta$,$\Phi$) direction in a
+region of the solid angle corresponding to the FOV 
+of the camera. 
 The trigger probability for hadronic showers with 
-a big impact parameter $I$ is not Englisch negligible. 
+a large impact parameter $I$ is not negligible. 
 Therefore we 
 simulate hadrons with $I < 400~\mathrm{m}$ and gammas
@@ -116,7 +126,7 @@
     zenith angle & gammas & protons \\
     \hline \hline
-  	$\Theta = 0^\circ$  &  $\approx 5 \cdot 10^5$ &  $\approx 5 \cdot 10^5$ \\
-  	$\Theta = 5^\circ$  &  $\approx 5 \cdot 10^5$ & $\approx 5 \cdot 10^5$  \\
-  	$\Theta = 10^\circ$ &  $\approx 5 \cdot 10^5$ & $\approx 5 \cdot 10^5$  \\
+  	$\Theta = 0^\circ$  &  $\approx 5 \cdot 10^5$ &  $\approx 1 \cdot 10^6$ \\
+  	$\Theta = 5^\circ$  &  $\approx 5 \cdot 10^5$ & $\approx 1 \cdot 10^6$  \\
+  	$\Theta = 10^\circ$ &  $\approx 5 \cdot 10^5$ & $\approx 1 \cdot 10^6$  \\
   	$\Theta = 15^\circ$ &  $\approx 2 \cdot 10^6$    &  $\approx 5 \cdot 10^6$  \\
   	$\Theta = 20^\circ$ &  production   &  production  \\
@@ -125,5 +135,5 @@
   \end{tabular}
 \end{center}
-\caption {Number of generated showers}
+\caption {Number of generated showers.}
 \label{tab_showers}
 \end{table}
@@ -132,5 +142,6 @@
 %
 For each simulated shower all
-Cherenkov photons hitting a horizontal plane at observation level 
+Cherenkov photons hitting a horizontal plane at the 
+observation level 
 close to the telescope position are stored.
 
@@ -141,13 +152,13 @@
 First the absorption in the atmosphere is taken into
 account. 
-By knowing the height of production and the 
-wavelength of each Cherenkov photon the effect of Rayleigh 
-and Mie scattering is calculated.
+Using the height of production and the 
+wavelength of each Cherenkov photon the effects of Rayleigh 
+and Mie scattering are calculated.
 Next the reflection at the mirrors is simulated.  
-We assume a reflectivity of the mirrors of around 90\%. 
-Each Cherenkov photon hitting one mirror is propagated 
+We assume a reflectivity of the mirrors of around 85\%. 
+Each Cherenkov photon hitting a mirror is propagated 
 to the camera plane of the telescope. This procedure 
-depends on the orientation of the telescope to the 
-shower axis. 
+depends on the orientation of the telescope relative 
+to the shower axis. 
 All Cherenkov photons reaching the camera plane will be
 kept for the next simulation step. 
@@ -181,10 +192,10 @@
 a given width in time. 
 The amplitude of the response function is chosen randomly
-according to the distribution of figure \ref{fig_ampl}
+according to the distribution shown in figure \ref{fig_ampl}
 (\cite{ml97}).
  
 By superimposing all photons of one pixel and by taking
 the arrival times into account the response 
-of the trigger and FADC system for that pixel is generated
+of the trigger and FADC system for that pixel is computed
 (see also figure \ref{fig_starresp}). 
 This is done for all pixels in the camera. 
@@ -192,12 +203,11 @@
 The simulation of the trigger electronic starts by checking 
 whether the generated analog signal exceeds the discriminator 
-level. 
+threshold. 
 In that case a digital output
-signal of a given length (We use in that study a gate length of 6
-nsec.)
+signal of a given length (6 nsec.)
 for that pixels is generated. 
 By checking next neighbour conditions (NN) at a given time
 the first level trigger is simulated. 
-If a given NN condition (Multiplicity, Topology, ...) 
+If a given NN condition (multiplicity, topology, ...) 
 is fullfilled, a first level trigger signal is generated and 
 the 
@@ -220,9 +230,9 @@
 \subsection{Starlight simulation}
 
-Due to the big mirror area MAGIC will be sensitive up to 
-$10^m$ stars. 
+Due to the big mirror area MAGIC will be sensitive to stars up to a
+magnitude of 10. 
 These stars will contribute locally to the noise in the 
 camera and have to be taken into account. 
-We developed a program that allows us
+We developed a program that allows
 to simulate the star light together with the generated showers. 
 This program considers all stars in the field of view of the camera
@@ -283,6 +293,6 @@
 on a pattern-recognition method. 
 This part is still in the design phase. 
-All results presented here are based on studies of the
-first-level-trigger. If not mentioned somewhere else, 
+All results presented here refer to the
+first-level-trigger. If not stated explicitly otherwise, 
 the MC data are produced with "standard"
 values (discriminator threshold = 4 mV, gate length = 6 nsec, 
@@ -300,6 +310,6 @@
 \end{equation} 
 where T is the trigger probablity. F is a plane perpendicular
- to the shower axis. 
-The results for different zenith angle $\Theta$ and
+ to the telescope axis. 
+The results for different zenith angles $\Theta$ and
 for different discriminator thresholds are shown in figure
 \ref{fig_collarea}.
@@ -320,16 +330,17 @@
 %
 %
-increasing diskriminator threshold. 
+increasing discriminator threshold. 
  
 
-\subsubsection{Threshold of MAGIC telescope}
+\subsubsection{Energy threshold}
 
 The threshold of the MAGIC telesope is defined as the peak 
 in the $dN/dE$ distribution for triggered showers. 
-For all different trigger settings
-this value is determined. The energy threshold could 
+This value is determined 
+for all different trigger settings. 
+The energy threshold could 
 depend among other variables on the background conditions, 
 the threshold of the trigger discriminator and the zenith angle. We 
-check the influence of these three variables.
+check the dependence on these three variables.
 
 For both, gammas and protons, some different background conditions 
@@ -351,52 +362,61 @@
  \includegraphics[width=8.3cm]{enerthres.eps} % .eps for Latex,
                                             % pdfLatex allows .pdf, .jpg, .png and .tif
- \caption{On the left upper plot the Energy Threshold for diffrent zenith angles is plotted while on the left bottom plot the Energy Threshold is plotted for several values of the trigger discriminator threshold. On the right plot a characteristic fit for $dN/dE$ is shown (for showers at $10^\circ$ with discriminator at 4 mV and diffuse NSB of 0.09 photo electrons per ns and pixel)}
+ \caption{On the left upper plot the energy threshold for diffrent 
+ zenith angles is plotted while on the left bottom plot the energy 
+threshold is plotted for several values of the trigger discriminator 
+threshold. On the right plot a characteristic fit for $dN/dE$ is shown 
+(for showers at $10^\circ$ with discriminator at 4 mV and diffuse NSB 
+of 0.09 photo electrons per ns and pixel)}
  \label{fig_enerthres}
 \end{figure}
 
 If one lowers the threshold of the trigger discriminator, then less 
-photons in the camera plane are needed to trigger the Telescope. 
-And it helps the low energy showers to fulfil the required trigger 
+photons in the camera plane are needed to trigger the telescope, 
+and it helps the low energy showers to fulfil the required trigger 
 conditions. 
 In figure  \ref{fig_enerthres} one can see that the threshold 
-energy decreases when lowering the discriminator. 
+energy decreases when lowering the discriminator threshold. 
 It is 29 GeV for 3 mV and 105 GeV  for 7 mV. 
 Since we are aiming for a low energy threshold, 
 a low discriminator value is  preferred. 
 However, for 3 mV the expected rate due to protons increases a 
-lot (see section ~\ref{sec-rates}), while it keeps under control at 4 mV. 
-Therefore, the threshold of the discriminator would be kept around  
-4 mV, which yields an energy threshold of 45 GeV.
+lot (see section ~\ref{sec-rates}), while it is kept
+under control at 4 mV. 
+Therefore, the threshold of the discriminator should be kept 
+around 4 mV, which yields an energy threshold of 45 GeV.
 
 \subsubsection{Expected rates}\label{sec-rates}
 
-Using the monte carlo data sample, it is possible to estimate 
-the expected rates from proton showers and background light. 
+Using the Monte Carlo data sample, it is possible to estimate 
+the expected rates for proton showers  taking into account the 
+background light. 
 
 The numbers quoted in this section are calcuated for a zenith angle
-$\Theta = 10^o$. Same studies have been done for $\Theta =0^o$ and 
-for $\Theta = 15^o$ and we got similar results. 
+of $10^\circ$. 
+The results for $0^o$ and $15^o$ were found to be similar. 
 We estimated the rate for the first level trigger
 with the "standard" trigger conditions.  
 The first level trigger rate due to proton showers without any
 background is $143 \pm 11~\mathrm{Hz}$. 
-This rate would increase due to other hadron showers (He, Li, ...) which 
-we have not simulated yet. About 25 \% larger rate is expected due mainly 
-to He. 
+This rate will increase by $\approx 25$\% if heavier nuclei (He,
+Li,...) are included. 
+ 
 
 However, to get a more reliable rate one must take into account 
-a realistic background situation. We take for the diffuse part of the
-night sky background a value of 0.09 photo electrons per ns
-\citep{ml94} 
-and use the star field around the Crab nebula.
-Under this more realistic conditions the first level trigger
+a realistic background situation. 
+From the total mirror area, the integration time, the FOV of a pixel
+and the QE of the PMTs one obtains a value of 0.09 photo electrons per
+ns and pixel \citep{ml94} due to the diffuse night sky background. 
+Added to this are the contributions from the star field around the
+Crab nebula. 
+Under these more realistic conditions the first level trigger
 background rate (protons and light of night sky) is $396 \pm 88$ Hz. 
 
-The dependence of the first level trigger rate from the discriminator 
+The dependence of the first level trigger rate on the discriminator 
 threshold is shown in figure \ref{fig_rates}.  
 The trigger rate decreases 
 with increasing discriminator threshold as expected. 
 The rate for the discriminator threshold of 3 mV is more than 100 
-times larger than for the other values.
+times larger than that for higher thresholds.
 \begin{figure}[hb]
  \vspace*{2.0mm} % just in case for shifting the figure slightly down
@@ -407,11 +427,11 @@
 \end{figure}
 
-These results show that the MAGIC telesope will use a disriminator
+The MAGIC telesope will use a disriminator
 threshold of about 4 mV. This value corresponds to a threshold of
 about 8 photo electrons. 
 
-It has to be mentioned here, that all the results here are based on 
-the first level trigger. There is a big potiential to optimize the 
-settings here. I.e. the background rate can be reduced by
+It has to be stressed, that these results are based on 
+the first level trigger. There is a big potential in optimizing the 
+settings. I.e. the background rate can be reduced by
 increasing the discriminator threshold for a few dedicated pixels,
 that have a star in their field of view. Studies in this direction are
@@ -421,10 +441,25 @@
 
 We presented the actual status of Monte Carlo simulation for the MAGIC
-telescope. 
+telescope. The first level trigger rate for the background is for a
+discriminator threshold of 4~mV well below the maximal trigger rate
+(1000 Hz) that the MAGIC daq system will be able to handle. 
+For these standard settings the energy threshold is around 45 GeV. 
+There is a potential in optimizing the trigger system and studies in
+this direction are ongoing. Also the development of the
+second-level-trigger is in progress. This should allow to lower the
+threshold. 
+The MAGIC collaboration is presently simulating air showers with 
+higher zenith angles. 
+The newest results will be presented on
+the conference. 
 
 
 \begin{acknowledgements}
-The authors thanks all the members of the MAGIC collaboration
-for their support in production of the big amount of simulated data. 
+The authors thanks all the "simulators" of the MAGIC collaboration
+for their support in the production of the big amount of Monte Carlo
+data. The support of MAGIC by the BMBF (Germany) and the CYCIT (Spain) 
+is acknowledged. 
+
+
 \end{acknowledgements}
 
@@ -438,5 +473,5 @@
 \begin{thebibliography}{99}
 
-\bibitem[(MAGIC Collaboration 1998)]{mc98}
+\bibitem[(MAGIC 1998)]{mc98}
 MAGIC Collaboration, "The MAGIC Telescope, Design Study for
 the Construction of a 17m Cherenkov Telescope for Gamma 
@@ -457,3 +492,2 @@
 \end{document}
 
-