Index: trunk/MagicSoft/Cosy/Changelog
===================================================================
--- trunk/MagicSoft/Cosy/Changelog	(revision 911)
+++ trunk/MagicSoft/Cosy/Changelog	(revision 912)
@@ -1,82 +1,147 @@
                                                                   -*-*- END -*-*-
+
+ 2001/08/17 - Thomas Bretz:
+
+    * Added:
+      - catalog/SlaStars.cc
+      - catalog/SlaStars.h
+      - catalog/SlaPlanets.cc
+      - catalog/SlaPlanets.h
+      - gui/MGAccuracy.cc
+      - gui/MGAccuracy.h
+
+    * MCosy.[h,cc]:
+      - removed dependance from MGSkyPosition
+      - changed Timer function names
+      - moved timer calls into Slalib calls
+      - changed Slalib to SlaStars
+      - added fAccuracy
+      - added accuracy display to MTGui
+    
+    * Makefile:  
+      - changed order of libraries
+    
+    * Starguider.cc:
+      - changed Timer function names
+    
+    * base/timer.[h,cc]
+      - changed GetTime -> Now
+      - changed GetMjd  -> CalcMjd
+    
+    * catalog/Makefile:
+      - added new file SlaStars.cc
+      - added new file SlaPlanets.cc
+    
+    * catalog/Slalib.[h,cc]:
+      - moved star dependent functions to derived class SlaStars
+      - changed name of Set to SetMjd
+      - made SetMjd virtual
+      - derives from Timer now
+      - added conversion function for XYZ->ZdAz
+    
+    * catalog/StarCatalog.cc:
+      - moved timer calls into Slalib calls
+      - changed Slalib to SlaStars
+
+    * devdrv/macs.cc:
+      - changed names of timer function calls
+
+    * devdrv/shaftencoder.cc:
+      - changed names of timer function calls
+      - changed some cout's to lout's
+    
+    * gui/MGCosy.[h,cc]:
+      - added fAccuracy
+      - moved timer calls into Slalib calls
+      - changed Slalib to SlaStars
+    
+    * gui/MGSkyPosition.[h,cc]:
+      - added display of planet positions
+
+    * slalib/Makefile:
+    - added missing files
+    
+
+
+
  2001/08/15 - Thomas Bretz:
 
-   * Added:
-     - Makefile.conf.general
-     - gui/Makefile
-     - base/Makefile
-     - candrv/Makefile
-     - catalog/Makefile
-     - slalib/Makefile
-     - videodev/Makefile
-     - devdrv/Makefile
-     - base/MThread.[h,cc]
-     - base/MTimeout.[h, cc]
-     - mgui/MGSkyPosition.[h, cc]
-     - catalog/Slalib.[h,cc]
+    * Added:
+      - Makefile.conf.general
+      - gui/Makefile
+      - base/Makefile
+      - candrv/Makefile
+      - catalog/Makefile
+      - slalib/Makefile
+      - videodev/Makefile
+      - devdrv/Makefile
+      - base/MThread.[h,cc]
+      - base/MTimeout.[h, cc]
+      - mgui/MGSkyPosition.[h, cc]
+      - catalog/Slalib.[h,cc]
      
-   * .cosyrc:
-     - changed names
-     - added HomeTime
-   
-   * MCosy.[h,cc]:
-     - added home time
-     - added MTGui, MTTalk
-     - added reading environment
-   
-   * Makefile, Makefile.conf.linux-gnu, Makefile.rules
-     - changed to Mars style
-   
-   * Starguider.cc:
-     - changed include timer.g to base/timer.h
-   
-   * Starguider.[h,cc]:
-     - renamed Execute to ProcessFrame
+    * .cosyrc:
+      - changed names
+      - added HomeTime
+   
+    * MCosy.[h,cc]:
+      - added home time
+      - added MTGui, MTTalk
+      - added reading environment
+   
+    * Makefile, Makefile.conf.linux-gnu, Makefile.rules
+      - changed to Mars style
+   
+    * Starguider.cc:
+      - changed include timer.g to base/timer.h
+   
+    * Starguider.[h,cc]:
+      - renamed Execute to ProcessFrame
  
-   * cosy.cc:
-     - removed unnecessary includes
-   
-   * base/MGList.h:
-     - added debug output
-   
-   * base/msgqueue.cc:
-     - added comments
-   
-   * base/msgqueue.h:
-     - made Break const
-   
-   * candrv/canopen.[h,cc]:
-     - made CobId const
-   
-   * candrv/network.[h,cc]:
-     - fixed typo
-     - StopReceiver -> VmodIcan::Stop
-     - made HasError const
-   
-   * candrv/nodedrv.[h,cc]:
-     - added timeout to WaitForSdo
-   
-   * candrv/sdolist.[h,cc]:
-     - made IsPending const
+    * cosy.cc:
+      - removed unnecessary includes
+   
+    * base/MGList.h:
+      - added debug output
+   
+    * base/msgqueue.cc:
+      - added comments
+   
+    * base/msgqueue.h:
+      - made Break const
+   
+    * candrv/canopen.[h,cc]:
+      - made CobId const
+   
+    * candrv/network.[h,cc]:
+      - fixed typo
+      - StopReceiver -> VmodIcan::Stop
+      - made HasError const
+   
+    * candrv/nodedrv.[h,cc]:
+      - added timeout to WaitForSdo
+   
+    * candrv/sdolist.[h,cc]:
+      - made IsPending const
      
-   * candrv/vmodican.[h,cc]:
-     - changed ReceiveThread to new stylish MThread
-   
-   * devdrv/macs.[h,cc]:
-     - changed SetHome to use a maximum positioning time
-     - added comments
-     - replaces SetSyncMode by StartPosSync and StartVelSync
-
-   * devdrv/shaftencoder.[h,cc]:
-     - removed gui thread (the update is done by MTGui now)
-   
-   * gui/MGCosy.[h,cc]:
-     - some small changed
-     - removed fList->Delete()
-     - added MSkyPosition-Object
-     - gSystem->ExitLoop() replaced by gSystem->Terminate(0)
-   
-   * videodev/Camera.[h,cc]:
-     - renamed Execute to ProcessFrame
+    * candrv/vmodican.[h,cc]:
+      - changed ReceiveThread to new stylish MThread
+   
+    * devdrv/macs.[h,cc]:
+      - changed SetHome to use a maximum positioning time
+      - added comments
+      - replaces SetSyncMode by StartPosSync and StartVelSync
+
+    * devdrv/shaftencoder.[h,cc]:
+      - removed gui thread (the update is done by MTGui now)
+   
+    * gui/MGCosy.[h,cc]:
+      - some small changed
+      - removed fList->Delete()
+      - added MSkyPosition-Object
+      - gSystem->ExitLoop() replaced by gSystem->Terminate(0)
+   
+    * videodev/Camera.[h,cc]:
+      - renamed Execute to ProcessFrame
 
 