Index: trunk/MagicSoft/Mars/mdatacheck/DataCheckLinkDef.h
===================================================================
--- trunk/MagicSoft/Mars/mdatacheck/DataCheckLinkDef.h	(revision 749)
+++ trunk/MagicSoft/Mars/mdatacheck/DataCheckLinkDef.h	(revision 938)
@@ -6,4 +6,5 @@
 
 #pragma link C++ class MShowSpect;
+#pragma link C++ class MViewAdcSpectra;
 #pragma link C++ class MDumpEvtHeader;
 
Index: trunk/MagicSoft/Mars/mdatacheck/MViewAdcSpectra.cc
===================================================================
--- trunk/MagicSoft/Mars/mdatacheck/MViewAdcSpectra.cc	(revision 749)
+++ trunk/MagicSoft/Mars/mdatacheck/MViewAdcSpectra.cc	(revision 938)
@@ -44,12 +44,21 @@
 #include "MHFadcCam.h"
 
+ClassImp(MViewAdcSpectra);
+
+// ================================================================================
+//
+// default constructor
+//
 MViewAdcSpectra::MViewAdcSpectra() 
 {
-  // default constructor  
-} 
+   fHistosAdc = new MHFadcCam;
+}
 
+// ================================================================================
+//
+// default destructor
+//
 MViewAdcSpectra::~MViewAdcSpectra() 
 {
-    // default destructor
     delete fHistosAdc;
 } 
@@ -57,68 +66,71 @@
 
 // ================================================================================
-Bool_t MViewAdcSpectra::AdcSpectra ( Char_t *inputfile, Char_t *treeName ) 
+//
+//   This job reads in the FADC data from all events and fills
+//   the spectrum for each pmt pixel.
+//
+Bool_t MViewAdcSpectra::AdcSpectra(Char_t *inputfile, Char_t *treeName)
 {
-  //   This job reads in the FADC data from all events and fills
-  //   the spectrum for each pmt pixel.
-  //
+    cout << "MViewAdcSpectra:: Analyse the tree '" << treeName << "'";
+    cout << "in the file '" << inputfile << "'" << endl;
 
-  cout << "PedAdcSpectra:: Analyse the tree " << treeName 
-       << "in the file  " << inputfile << endl ;
-  
-  // create a (empty) list of parameters which can be used by the tasks
-  // and an (empty) list of tasks which should be executed
-  // connect them in the required way. 
- 
-  //
-  //   create the data containers for the raw data
-  //
-  MParList plist;
-  
-  MRawRunHeader runheader;
-  plist.AddToList(&runheader);
+    //
+    // create a (empty) list of parameters which can be used by the tasks
+    // and an (empty) list of tasks which should be executed
+    // connect them in the required way.
+    //
 
-  MRawEvtHeader evtheader;
-  plist.AddToList(&evtheader);
-  
-  MRawEvtData evtdata;
-  plist.AddToList(&evtdata);
-  
-  MRawCrateArray cratearray;
-  plist.AddToList(&cratearray);
-  
-  MTime evttime("MTime");
-  plist.AddToList(&evttime);
+    //
+    //   create the data containers for the raw data
+    //
+    MParList plist;
 
-  fHistosAdc= new MHFadcCam;
-  plist.AddToList( fHistosAdc ) ;
+    MRawRunHeader runheader;
+    plist.AddToList(&runheader);
 
-  //
-  //    set up the tasks for this job
-  //
-  MTaskList tasks;
-  plist.AddToList(&tasks);
+    MRawEvtHeader evtheader;
+    plist.AddToList(&evtheader);
 
-  MReadTree readin ( treeName, inputfile ) ;
-  tasks.AddToList( &readin ) ;
+    MRawEvtData evtdata;
+    plist.AddToList(&evtdata);
 
-  //  MDumpEvtHeader *dumpheader = new MDumpEvtHeader() ; 
-  //  tasks->AddToList( dumpheader ) ; 
- 
-  MFillHFadc fillspect;
-  tasks.AddToList( &fillspect ) ;
+    MRawCrateArray cratearray;
+    plist.AddToList(&cratearray);
 
-  MShowSpect showspect( "MHFadcCam" ) ;
-  tasks.AddToList( &showspect ) ;
+    MTime evttime("MTime");
+    plist.AddToList(&evttime);
 
-  //    set up the loop for the processing 
-  
-  MEvtLoop magic;
-  magic.SetParList(&plist);
+    plist.AddToList(fHistosAdc);
 
-  //    start the loop running 
+    //
+    // set up the tasks for this job
+    //
+    MTaskList tasks;
+    plist.AddToList(&tasks);
 
-  magic.Eventloop() ; 
-  
-  return kTRUE ;
+    MReadTree readin(treeName, inputfile);
+    tasks.AddToList(&readin);
 
-} 
+    //
+    //  MDumpEvtHeader *dumpheader = new MDumpEvtHeader() ;
+    //  tasks->AddToList( dumpheader ) ;
+    //
+    MFillHFadc fillspect;
+    tasks.AddToList(&fillspect);
+
+    MShowSpect showspect("MHFadcCam");
+    tasks.AddToList(&showspect);
+
+    //
+    // set up the loop for the processing
+    //
+    MEvtLoop magic;
+    magic.SetParList(&plist);
+
+    //
+    // start the loop running
+    //
+    magic.Eventloop();
+
+    return kTRUE;
+}
Index: trunk/MagicSoft/Mars/mdatacheck/MViewAdcSpectra.h
===================================================================
--- trunk/MagicSoft/Mars/mdatacheck/MViewAdcSpectra.h	(revision 749)
+++ trunk/MagicSoft/Mars/mdatacheck/MViewAdcSpectra.h	(revision 938)
@@ -8,24 +8,22 @@
 class MHFadcCam;
 
-class MViewAdcSpectra {
+class MViewAdcSpectra
+{
+private:
+    MHFadcCam *fHistosAdc;
 
- private:
+public:
 
-     MHFadcCam *fHistosAdc;
+     MViewAdcSpectra();
+     virtual ~MViewAdcSpectra();
+  
+     Bool_t AdcSpectra(Char_t *inputFile, Char_t *treeName);
 
- public:
-  
-     MViewAdcSpectra() ;
-  
-     ~MViewAdcSpectra() ;
-  
-     Bool_t AdcSpectra( Char_t *inputFile , Char_t *treeName ) ;
+     //  Bool_t CrAdcSpectra ( Char_t *inputFile ) ;
+     //  Bool_t PedTdcSpectra( Char_t *inputFile ) ;
+     //  Bool_t CrTdcSpectra ( Char_t *inputFile ) ;
 
-  //  Bool_t CrAdcSpectra ( Char_t *inputFile ) ; 
-
-  //  Bool_t PedTdcSpectra( Char_t *inputFile ) ; 
-  //  Bool_t CrTdcSpectra ( Char_t *inputFile ) ; 
-
-} ;
+     ClassDef(MViewAdcSpectra, 0) // Part of the gui, displays Adc Spectras
+};
 
 #endif 